LINUX.ORG.RU
решено ФорумAdmin

/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found


0

0

При запуске приложения выскакивает следующая ошибка:

/usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /root/mta/xmll.so)

Самого файла /usr/lib/libstdc++.so.6 нету вообще. Пытался создавать линк на файл /usr/lib/libstdc++.so.6.0.12 содержащий эту самую `GLIBCXX_3.4.9' но ничего не изменилось. В чем может быть проблема?

во-первых вы не написали что вы на FreeBSD

во-вторых уже разберитесь наконец в том, что приложение у вас (тот самый сервер для игрушки) линуксовый, и требует библиотеку от linux

в третьих - поставьте линуксулятор и библиотеки для него, сейчас кто-нибудь с БСДшников обьяснит, а лучше найдите сами в сети что и как

в четвертых - в линукс для создания ссылок на библиотеки используется ldconfig , в FreeBSD точно не знаю, но вполне возможно что тоже

Sylvia ★★★★★ ()

учитесь задавать вопросы (см. пост Сиьльви)

leave ★★★★★ ()
Ответ на: комментарий от Sylvia

>в третьих - поставьте линуксулятор и библиотеки для него, сейчас кто-нибудь с БСДшников обьяснит, а лучше найдите сами в сети что и как

Поставил linux_base-f4 из портов, все работает. Спасибо за помощь.

volkov-s ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.